Retrieves all the work instructions.
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
work_instruction| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating work_instruction |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating work_instruction |
sales_organization | |
| job_type_id |
Applicable job_type |
globally unique identifier |
Required |
| job_type_code |
Applicable job_type |
string | |
| equipment_family_id |
Applicable equipment family |
globally unique identifier |
Required |
| equipment_family_code |
Applicable equipment family |
string | |
| skill_ids |
List of only applicable skils |
Collection of globally unique identifier | |
| skill_codes |
List of only applicable skils |
Collection of string | |
| name |
Name of the header of the work instruction. |
string |
Required Max length: 50 |
| description |
Explanation of these instructions for the technician. |
string |
Required Max length: 255 |
| estimated_work_time |
Time needed to complete these instructions. Number in minute. |
integer | |
| additional_information |
Additional information |
string |
Max length: 4000 |
| reference_back_office |
The Id/Ref of the back office for this work instruction. Used by Embedded entity |
string |
Max length: 255 |
| is_required |
If true then all instructions required to be executed |
boolean | |
| is_archived |
Specify if the object is not usable anymore |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
{
"id": "f60935e3-1df9-4874-b9a7-51ca7ae286e5",
"sales_organization_id": "5b36716e-3db7-4f7d-b4ad-be5f50247c41",
"sales_organization_code": "sample string 3",
"job_type_id": "212e2621-2840-44cc-a793-c590c3fc3fe2",
"job_type_code": "sample string 5",
"equipment_family_id": "98f3e257-77e2-4ee6-9dd9-54c8c2692b71",
"equipment_family_code": "sample string 7",
"skill_ids": [
"118319fe-4f8c-4f35-b9ae-d5d9741c15f2",
"4f4dec7d-b979-4cff-9d97-b90d93170cde"
],
"skill_codes": [
"sample string 1",
"sample string 2"
],
"name": "sample string 8",
"description": "sample string 9",
"estimated_work_time": 10,
"additional_information": "sample string 11",
"reference_back_office": "sample string 12",
"is_required": true,
"is_archived": true,
"modified_dateutc": "2026-03-24T07:15:11.5096974+00:00"
}